#!/bin/bash
#----------------------------------------------------
# Version:      0.1.5
# Author:       Florian "Bluewind" Pritz <flo@xssn.at>
#
# Licensed under WTFPL v2
#   (see COPYING for full license text)
#
#----------------------------------------------------
# Upload file to XUP, copy URL to clipboard and  
# save to historyfile 
#----------------------------------------------------

XUPHIST="${HOME}/.xup_history"
FILE="$(basename "$1")"
DIR="$(dirname "$1")"
cd "$DIR"

URLS=$(curl -# -F "F1=@$FILE" -L "http://www.xup.in/xtrans.php" -H "Expect: ")
DL_URL=$(echo -n ${URLS} | egrep -o "\"http://www.xup.in/dl,.{8}/"  | sed "s#\"##g")
DEL_URL=$(echo -n ${URLS} | egrep -o "\"http://www.xup.in/kill,.{8},.{10}/\""  | sed "s#\"##g")

echo $(date) >> "$XUPHIST"
echo "$PWD/$FILE" >> "$XUPHIST"
echo $DL_URL >> "$XUPHIST"
echo -n $DL_URL | nohup >/dev/null 2>&1 xclip
echo -n $DL_URL
echo $DEL_URL >> "$XUPHIST"
echo "" >> "$XUPHIST"
