#!/bin/bash
#----------------------------------------------------
# Author:       Florian "Bluewind" Pritz <flo@xssn.at>
#
# Licensed under WTFPL v2
#   (see COPYING for full license text)
#    
#----------------------------------------------------
# called by incrond to manage ~/drop
#----------------------------------------------------
for file; do
  case $(file -b --mime-type "$file") in
  application/x-bittorrent)
    chmod 644 "$file"
    mv "$file" /mnt/mistral/flo/torrent/watch
    transmission-remote mistral:9091 -a "/mnt/mistral/flo/torrent/watch/$(basename "$file")"
  ;;
  *)
    # nothing
  ;;
  esac
done
