#!/usr/bin/perl
use warnings;
use strict;
use Data::Dumper;
use WWW::Mechanize;
use LWP::Simple;

my $url = $ARGV[0];

my $mech = WWW::Mechanize->new();

$mech->get($url);

my $content = $mech->content();
while ($content =~ m/^\s*'filename': '(.*)',$/mg) {
	my $img_name = $1;
	$content =~ m/^\s*'original': "(.*)"$/mg;
	my $img_url = $1;
	getstore($img_url, $img_name);
}
